package org.jvending.provisioning.config.stockinghandlers.impl;

public class StockingHandlerTypeHandler extends org.apache.ws.jaxme.impl.JMSAXElementParser {
  /** The current state. The following values are valid states:
   *  0 = Before parsing the element
   *  1 = While or after parsing the child element {http://jvending.org/xsd/jvending-cp}stocking-handler-name
   *  2 = While or after parsing the child element {http://jvending.org/xsd/jvending-cp}descriptor-handlers
   *  3 = While or after parsing the child element {http://jvending.org/xsd/jvending-cp}stocking-filters
   *  4 = While or after parsing the child element {http://jvending.org/xsd/jvending-cp}data-sink
   *  5 = While or after parsing the child element {http://jvending.org/xsd/jvending-cp}stocking-policy
   *  6 = While or after parsing the child element {http://jvending.org/xsd/jvending-cp}init-param
   * 
   */
  private int __state;


  public boolean startElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, org.xml.sax.Attributes pAttr) throws org.xml.sax.SAXException {
    org.apache.ws.jaxme.impl.JMUnmarshallerHandlerImpl _1 = getHandler();
    switch (__state) {
      case 0:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "stocking-handler-name".equals(pLocalName)) {
          __state = 1;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 1:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "descriptor-handlers".equals(pLocalName)) {
          __state = 2;
          org.apache.ws.jaxme.JMManager _2 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.DescriptorHandlers.class);
          java.lang.Object _3 = _2.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _4 = _2.getHandler();
          _4.init(_1, _3, "http://jvending.org/xsd/jvending-cp", "descriptor-handlers", _1.getLevel());
          _4.setAttributes(pAttr);
          _1.addElementParser(_4);
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "stocking-filters".equals(pLocalName)) {
          __state = 3;
          org.apache.ws.jaxme.JMManager _5 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.StockingFilters.class);
          java.lang.Object _6 = _5.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _7 = _5.getHandler();
          _7.init(_1, _6, "http://jvending.org/xsd/jvending-cp", "stocking-filters", _1.getLevel());
          _7.setAttributes(pAttr);
          _1.addElementParser(_7);
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "data-sink".equals(pLocalName)) {
          __state = 4;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 2:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "stocking-filters".equals(pLocalName)) {
          __state = 3;
          org.apache.ws.jaxme.JMManager _8 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.StockingFilters.class);
          java.lang.Object _9 = _8.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _10 = _8.getHandler();
          _10.init(_1, _9, "http://jvending.org/xsd/jvending-cp", "stocking-filters", _1.getLevel());
          _10.setAttributes(pAttr);
          _1.addElementParser(_10);
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "data-sink".equals(pLocalName)) {
          __state = 4;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 3:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "data-sink".equals(pLocalName)) {
          __state = 4;
          _1.addSimpleAtomicState();
          return true;
        }
        break;
      case 4:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "stocking-policy".equals(pLocalName)) {
          __state = 5;
          org.apache.ws.jaxme.JMManager _11 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.StockingPolicy.class);
          java.lang.Object _12 = _11.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _13 = _11.getHandler();
          _13.init(_1, _12, "http://jvending.org/xsd/jvending-cp", "stocking-policy", _1.getLevel());
          _13.setAttributes(pAttr);
          _1.addElementParser(_13);
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "init-param".equals(pLocalName)) {
          __state = 6;
          org.apache.ws.jaxme.JMManager _14 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.InitParam.class);
          java.lang.Object _15 = _14.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _16 = _14.getHandler();
          _16.init(_1, _15, "http://jvending.org/xsd/jvending-cp", "init-param", _1.getLevel());
          _16.setAttributes(pAttr);
          _1.addElementParser(_16);
          return true;
        }
        break;
      case 5:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "init-param".equals(pLocalName)) {
          __state = 6;
          org.apache.ws.jaxme.JMManager _17 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.InitParam.class);
          java.lang.Object _18 = _17.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _19 = _17.getHandler();
          _19.init(_1, _18, "http://jvending.org/xsd/jvending-cp", "init-param", _1.getLevel());
          _19.setAttributes(pAttr);
          _1.addElementParser(_19);
          return true;
        }
        break;
      case 6:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "init-param".equals(pLocalName)) {
          __state = 6;
          org.apache.ws.jaxme.JMManager _20 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.InitParam.class);
          java.lang.Object _21 = _20.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _22 = _20.getHandler();
          _22.init(_1, _21, "http://jvending.org/xsd/jvending-cp", "init-param", _1.getLevel());
          _22.setAttributes(pAttr);
          _1.addElementParser(_22);
          return true;
        }
        break;
      default:
        throw new java.lang.IllegalStateException("Invalid state: " + __state);
    }
    return false;
  }

  public void endElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, java.lang.Object pResult) throws org.xml.sax.SAXException {
    org.jvending.provisioning.config.stockinghandlers.StockingHandlerType _1 = (org.jvending.provisioning.config.stockinghandlers.StockingHandlerType) result;
    switch (__state) {
      case 1:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "stocking-handler-name".equals(pLocalName)) {
          _1.setStockingHandlerName((java.lang.String) pResult);
          return;
        }
        break;
      case 2:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "descriptor-handlers".equals(pLocalName)) {
          _1.setDescriptorHandlers(((org.jvending.provisioning.config.stockinghandlers.DescriptorHandlersType) pResult));
          return;
        }
        break;
      case 3:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "stocking-filters".equals(pLocalName)) {
          _1.setStockingFilters(((org.jvending.provisioning.config.stockinghandlers.StockingFiltersType) pResult));
          return;
        }
        break;
      case 4:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "data-sink".equals(pLocalName)) {
          _1.setDataSink((java.lang.String) pResult);
          return;
        }
        break;
      case 5:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "stocking-policy".equals(pLocalName)) {
          _1.setStockingPolicy(((org.jvending.provisioning.config.stockinghandlers.StockingPolicyType) pResult));
          return;
        }
        break;
      case 6:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "init-param".equals(pLocalName)) {
          _1.getInitParam().add(pResult);
          return;
        }
        break;
      default:
        throw new java.lang.IllegalStateException("Illegal state: " + __state);
    }
  }

  public boolean isFinished() {
    switch (__state) {
      case 6:
      case 5:
      case 4:
        return true;
      default:
        return false;
    }
  }

}
