package org.jvending.provisioning.stocking.tool;

import java.io.Serializable;
import java.sql.Blob;

/** @author Hibernate CodeGenerator */
public class UserInfo implements Serializable {

    /** identifier field */
    private Integer primaryId;

    /** nullable persistent field */
    private String loginId;

    /** nullable persistent field */
    private Blob password;

    /** nullable persistent field */
    private String firstName;

    /** nullable persistent field */
    private String lastName;

    /** nullable persistent field */
    private String phoneNumber;

    /** nullable persistent field */
    private String email;

    /** nullable persistent field */
    private String accountStatus;

    /** nullable persistent field */
    private String contentTrustGroup;


    /** full constructor */
    public UserInfo(String loginId, Blob password, String firstName, String lastName, String phoneNumber, String email, String accountStatus, String contentTrustGroup) {
        this.loginId = loginId;
        this.password = password;
        this.firstName = firstName;
        this.lastName = lastName;
        this.phoneNumber = phoneNumber;
        this.email = email;
        this.accountStatus = accountStatus;
        this.contentTrustGroup = contentTrustGroup;
    }

    /** default constructor */
    public UserInfo() {
    }

     public Integer getPrimaryId() {
        return this.primaryId;
    }

    public void setPrimaryId(Integer primaryId) {
        this.primaryId = primaryId;
    }

    public String getLoginId() {
        return this.loginId;
    }

    public void setLoginId(String loginId) {
        this.loginId = loginId;
    }

    public Blob getPassword() {
        return this.password;
    }

    public void setPassword(Blob password) {
        this.password = password;
    }

    public String getFirstName() {
        return this.firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getLastName() {
        return this.lastName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    public String getPhoneNumber() {
        return this.phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getEmail() {
        return this.email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getAccountStatus() {
        return this.accountStatus;
    }

    public void setAccountStatus(String accountStatus) {
        this.accountStatus = accountStatus;
    }

    public String getContentTrustGroup() {
        return this.contentTrustGroup;
    }

    public void setContentTrustGroup(String contentTrustGroup) {
        this.contentTrustGroup = contentTrustGroup;
    }
}
